#
# spec file for package python-lpjsmin
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-lpjsmin
Version:        0.5
Release:        2.3
Summary:        JS Min script that provides cmd line and python processors
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://launchpad.net/lpjsmin
Source:         http://pypi.python.org/packages/source/l/lpjsmin/lpjsmin-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
We need to handle several minification goals within the Launchpad codebase.
This helps to create a single lib to help handle all of the cases and allow it
to be flexibly used in more projects.

%prep
%setup -q -n lpjsmin-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc NEWS.txt README.rst
%{_bindir}/lpjsmin
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jul 23 2012 saschpe@suse.de
- Initial version
